-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = minetest.get_us_time()
minetest.log("action", "[MOD] yl_survey loading")

yl_survey = {}
yl_survey.error = {}
yl_survey.modname = minetest.get_current_modname()
-- yl_survey.modstorage = minetest.get_mod_storage()
yl_survey.modpath = minetest.get_modpath("yl_survey") .. DIR_DELIM
yl_survey.worldpath = minetest.get_worldpath() .. DIR_DELIM

dofile(yl_survey.modpath .. "texts.lua")
dofile(yl_survey.modpath .. "information.lua")
dofile(yl_survey.modpath .. "config.lua")
dofile(yl_survey.modpath .. "setup.lua")
-- dofile(yl_survey.modpath .. "privs.lua")
dofile(yl_survey.modpath .. "internal.lua")
dofile(yl_survey.modpath .. "api.lua")
dofile(yl_survey.modpath .. "initialize.lua")
-- dofile(yl_survey.modpath .. "globalsteps.lua")
-- dofile(yl_survey.modpath .. "chatcommands.lua")

local mod_end_time = (minetest.get_us_time() - mod_start_time) / 1000000
minetest.log("action", "[MOD] yl_survey loaded in [" .. mod_end_time .. "s]")
